{% raw %}
---
gandi_subdomain: "{{ workspace }}"
system_base_domain: "{{ gandi_subdomain }}.{{ gandi_domain }}"

common_certificate_file: "{{ ssl_certs_dir }}/{{ system_base_domain }}.fullchain.crt"
common_certificate_key_file: "{{ ssl_certs_dir }}/{{ system_base_domain }}.key"

glxclans_dns_enable: yes
glxclans_mailserver_enable: no
glxclans_rproxy_enable: yes

gitea_public_domain: "git.{{ system_base_domain }}"
gitea_certificate_file: "{{ common_certificate_file }}"
gitea_certificate_key_file: "{{ common_certificate_key_file }}"


glxclans_rproxy_nginx_managed_sites:
  - "gitea"
glxclans_rproxy_nginx_managed_streams:
  - "gitea"

acme_domains:
  - cn: "{{ system_base_domain }}"
    zone: "{{ system_base_domain }}"
    alt:
      - "DNS:mail.{{ system_base_domain }}"
      - "DNS:stun.{{ system_base_domain }}"
      - "DNS:{{ gitea_public_domain }}"
      - "DNS:meet.{{ system_base_domain }}"
      - "DNS:chat.{{ system_base_domain }}"

glxclans_dns_zones:
  - name: "{{ system_base_domain }}"
    type: master
    hostmaster_email: "hostmaster.{{ system_base_domain }}"
    allow_update:
      - "localhost"
    name_servers:
      - ns
    mail_servers:
      - name: mail
        preference: 10
    text:
      - name: "{{ system_base_domain }}."
        text: "v=spf1 mx -all"
    hosts:
      - name: ""
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        
      - name: "{{ gandi_subdomain }}"
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
        aliases:
          - chat
          - meet
          - stun
          - git
          
      - name: ns
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"

      - name: mail
        ip: "{{ public_ipv4 }}"
        ipv6: "{{ public_ipv6 }}"
{% endraw %}